<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Weekend Detector</title>
    <style>
        * {
            margin: 0;
            padding: 0;
            font-family: Calibri;
        }

        body,
        html {
            width: 100%;
            height: 100%;
        }

        #container {
            display: flex;
            justify-content: center;
            align-items: center;
            width: 100%;
            height: 100%;
            flex-wrap: wrap;
            align-items: center;
            align-content: center;
        }

        #container>div {

            font-weight: bold;
        }

        #yes {
            font-size: 5em;
            display: none;
            color: red;
        }

        #no {
            font-size: 5em;
            display: none;
            color: green;
        }

        #visitCount {
            display: block;
            flex: 100%;
            text-align: center;
            font-size: 3em;
        }
    </style>
</head>

<body>
    <div id="container">
        <div id="yes">
            Nädalavahetus, töötamine keelatud!
        </div>
        <div id="no">
            On töönädal, tööta rahus edasi!
        </div>
        <div id="visitCount">
            0
        </div>
    </div>
    <script>
        let currentDate = new Date();

        let year = currentDate.getFullYear();
        let month = currentDate.getMonth() + 1;
        let day = currentDate.getDate();
        let hour = currentDate.getHours();
        let minute = currentDate.getMinutes();

        month = month < 10 ? "0" + month : month;
        day = day < 10 ? "0" + day : day;
        hour = hour < 10 ? "0" + hour : hour;
        minute = minute < 10 ? "0" + minute : minute;

        let dateStr = `${year}-${month}-${day} ${hour}:${minute}`;

        let formData = new FormData();
        formData.append('dateStr', dateStr);

        fetch('http://localhost:8080/weekenddetector', {
            method: 'POST',
            body: formData
        }).then(
            function (response) {
                return response.text();
            }
        ).then(
            function (isItWeekend) {
                if (isItWeekend === "true") {
                    document.querySelector("#yes").style.display = "block";
                    document.querySelector("#no").style.display = "none";
                } else {
                    document.querySelector("#yes").style.display = "none";
                    document.querySelector("#no").style.display = "block";
                }
            }
        );

        fetch('http://localhost:8080/weekenddetector/registervisit')
            .then(response => response.text())
            .then(visitCount => document.querySelector("#visitCount").innerText = visitCount);

    </script>
</body>

</html>